/* %filename% */
/* Created %date% %time% by AppMaker */

#ifndef _H_Globals
#define _H_Globals

typedef struct {
	/* Standard fields: */
		TEHandle		text;
		ControlHandle	vScroll;
		ControlHandle	hScroll;
		short			fileNum;             
		short			volNum;            
		Boolean			dirty;
		StringHandle	filename;
		enum {noWindow%for each window gen windowKind%}	windowKind;
		Handle			witlHandle;		/* Window itemlist resource */
		Handle			wictHandle;		/* Window item color table resource */
		
	/* Application-specific fields: */
	%for each window gen windowFields%

} WinInfoRec, *WinInfoPtr;

typedef struct {
	Boolean			hasGestalt;			/* has Gestalt manager	*/
	Boolean			hasWNE;				/* has WaitNextEvent	*/ 
	Boolean			hasColorQD;			/* has Color QuickDraw	*/
	Boolean			hasAppleEvents;		/* has Apple Events		*/
	Boolean			hasEditionMgr;		/* has Edition Manager	*/
} SysConfigRec;

/* Standard vars: */
extern Boolean			quittingTime;                             
extern EventRecord		curEvent;                          
extern WindowPtr		curWindow;
extern WinInfoPtr		cur;
extern Boolean			inBackground;
extern SysConfigRec		sysConfig;

/* Application-specific vars: */

/*----------*/
void	InitGlobals		(void);
void	SetInfo			(WindowPtr		window);
void	SetNewInfo		(WindowPtr		window);
void	DiscardInfo		(WindowPtr		window);

#endif	/* _H_Globals */

/* Globals */
